ekranLoad = {};
function ekranLoad.prerequisitesPresent(specializations) return true; end;
function ekranLoad:load(xmlFile) self.speedWaitingMaxTimeekran = 2500; self.speedWaitingTimerekran = 1; 
	self.ekranFirst  = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.ekranImage#firstIndex"));
	self.ekranSecond = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.ekranImage#secondIndex"));
	self.ekranThird  = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.ekranImage#thirdIndex")); end;
function ekranLoad:delete() end;
function ekranLoad:mouseEvent(posX, posY, isDown, isUp, button) end;
function ekranLoad:keyEvent(unicode, sym, modifier, isDown) end;
function ekranLoad:update(dt) if self.isMotorStarted then 
	if self.speedWaitingTimerekran < self.speedWaitingMaxTimeekran
		then setVisibility(self.ekranFirst, true); setVisibility(self.ekranSecond, false); setVisibility(self.ekranThird, false); end;
	if self.speedWaitingTimerekran < (self.speedWaitingMaxTimeekran + self.speedWaitingMaxTimeekran) and self.speedWaitingTimerekran > self.speedWaitingMaxTimeekran
		then setVisibility(self.ekranFirst, false); setVisibility(self.ekranSecond, true); setVisibility(self.ekranThird, false); end;
	if self.speedWaitingTimerekran < (self.speedWaitingMaxTimeekran + self.speedWaitingMaxTimeekran + self.speedWaitingMaxTimeekran) and self.speedWaitingTimerekran > (self.speedWaitingMaxTimeekran + self.speedWaitingTimerekran) 
		then setVisibility(self.ekranFirst, false); setVisibility(self.ekranSecond, false); setVisibility(self.ekranThird, true); end;
		self.speedWaitingTimerekran = self.speedWaitingTimerekran + dt;
	else self.speedWaitingTimerekran = 1; setVisibility(self.ekranFirst, false); setVisibility(self.ekranSecond, false); setVisibility(self.ekranThird, false); end; end;
function ekranLoad:loadFromAttributesAndNodes(xmlFile, key, resetVehicles) return BaseMission.VEHICLE_LOAD_OK; end;
function ekranLoad:getSaveAttributesAndNodes(nodeIdent) end;
function ekranLoad:updateTick(dt) end;
function ekranLoad:draw() end;
function ekranLoad:onAttach(attacherVehicle, jointDescIndex) end;
function ekranLoad:onDetach() end;
function ekranLoad:onDeactivate() end;